/*
 * This file is part of Nuts Framework.
 * Copyright (C) 2009 http://nuts.sourceforge.jp
 *
 * Nuts Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 * 
 * Nuts Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Nuts Framework. If not, see <http://www.gnu.org/licenses/>.
 */
package nuts.ext.struts2.actions;

import nuts.core.servlet.HttpServletUtils;
import nuts.ext.struts2.util.StrutsContextUtils;
import nuts.ext.xwork2.ActionSupport;

/**
 * CommonAction
 */
@SuppressWarnings("serial")
public class FreemarkerAction extends ActionSupport {

	private String location;

	/**
	 * @return the location
	 */
	public String getLocation() {
		return location;
	}

	/**
	 * @param location the location to set
	 */
	public void setLocation(String location) {
		this.location = location;
	}

	/**
	 * @see nuts.ext.xwork2.ActionSupport#execute()
	 */
	@Override
	public String execute() throws Exception {
		location = HttpServletUtils.getRelativeURI(StrutsContextUtils.getServletRequest());
		return SUCCESS;
	}

}
