/*
 * This file is part of Nuts Framework.
 * Copyright (C) 2009 http://nuts.sourceforge.jp
 *
 * Nuts Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License any later version.
 * 
 * Nuts Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Nuts Framework. If not, see <http://www.gnu.org/licenses/>.
 */
package nuts.ext.struts2.views.jsp.ui;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import nuts.ext.struts2.components.Password;

import org.apache.struts2.components.Component;
import org.apache.struts2.views.jsp.ui.TextFieldTag;

import com.opensymphony.xwork2.util.ValueStack;

/**
 * @see Password
 */
@SuppressWarnings("serial")
public class PasswordTag extends TextFieldTag {

	protected String showPassword;

	/**
	 * @see org.apache.struts2.views.jsp.ui.TextFieldTag#getBean(com.opensymphony.xwork2.util.ValueStack,
	 *      javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public Component getBean(ValueStack stack, HttpServletRequest req, HttpServletResponse res) {
		return new Password(stack, req, res);
	}

	protected void populateParams() {
		super.populateParams();

		((Password) component).setShowPassword(showPassword);
	}

	/**
	 * @param showPassword the showPassword to set
	 */
	public void setShow(String showPassword) {
		this.showPassword = showPassword;
	}

	/**
	 * @param showPassword the showPassword to set
	 */
	public void setShowPassword(String showPassword) {
		this.showPassword = showPassword;
	}
}
